import { HTMLAttributes } from 'react';
import { Properties } from '../data';
import '../styles.css';
export interface Props extends HTMLAttributes<HTMLDivElement> {
    /** Array of objects with the following scructure:
     * [{ icon?, title, style?, action?, submenu?  }]
     * - icon: [Optional], Type: IconDefinition (FontAwesome)
     * - title: [Mandatory], Type: string
     * - style: [Optional], Type: object
     * - action: [Optional], Type: Function
     * - submenu: [Optional], Properties[] (Recursive)
     */
    menuItems?: Properties[];
}
/** A Navigation bar with a multilevel dynamic dropdown menu. */
export declare const NavBar: ({ menuItems, ...props }: Props) => JSX.Element;
